# Rally Rush: godot::EnemyTargetBody Class Reference

Loading...
Searching...
No Matches
godot::EnemyTargetBody Class Reference

Collider signifying which part of an enemy can be targeted. Used only for drones because their "real" position is on the ground below where the "drone" is flying. More...

`#include <drone_target.hpp>`

Inheritance diagram for godot::EnemyTargetBody:

## Public Member Functions

virtual void | _enter_tree () override
| Set rigidbody as kinematic.
void | damage ()
| Destroy parent object.

## Private Member Functions

| GDCLASS (EnemyTargetBody, RigidBody3D)

## Static Private Member Functions

static void | _bind_methods ()
| Bind damage function.

## Detailed Description

Collider signifying which part of an enemy can be targeted. Used only for drones because their "real" position is on the ground below where the "drone" is flying.

## Member Function Documentation

## _bind_methods()

void godot::EnemyTargetBody::_bind_methods | ( |  | ) |

staticprivate

Bind damage function.

## _enter_tree()

void godot::EnemyTargetBody::_enter_tree | ( |  | ) |

overridevirtual

Set rigidbody as kinematic.

## damage()

void godot::EnemyTargetBody::damage | ( |  | ) |

Destroy parent object.

## GDCLASS()

godot::EnemyTargetBody::GDCLASS | ( | EnemyTargetBody | ,
|  | RigidBody3D |
| ) |  |

private

The documentation for this class was generated from the following files:

- src/drone_target.hpp
- src/drone_target.cpp